/*!
 * react-mountable v1.0.0
 * MIT Licensed
 */
(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("react"));
	else if(typeof define === 'function' && define.amd)
		define(["react"], factory);
	else if(typeof exports === 'object')
		exports["reactMountable"] = factory(require("react"));
	else
		root["reactMountable"] = factory(root["React"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_2__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(1);


/***/ },
/* 1 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;
	var _jsxFileName = '/Users/ajm/data/react-mountable/src/index.js';

	var _react = __webpack_require__(2);

	var _react2 = _interopRequireDefault(_react);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	/**
	 * @name react.mountable
	 *
	 * @desc
	 * ```
	 * (DOM -> Side Effects) -> Component
	 * ```
	 * Turn a non-react-aware function that expects a domnode
	 * to mount into into a Component
	 *
	 * @example
	 * const mountItalic = el => {
	 *   el.innerHTML = '<em>Hello!</em>'
	 * }
	 *
	 * const Italic = mountable(mountItalic)
	 *
	 * render(<Italic />, document.body)
	 */

	var mountable = function mountable(mountFn) {
	  var div = void 0;
	  return _react2.default.createClass({
	    componentDidMount: function componentDidMount() {
	      this.forceUpdate();
	    },
	    render: function render() {
	      if (div) mountFn(div);
	      return _react2.default.createElement('div', { ref: function ref(el) {
	          div = el;
	        }, __source: {
	          fileName: _jsxFileName,
	          lineNumber: 29
	        },
	        __self: undefined
	      });
	    }
	  });
	};

	exports.default = mountable;

/***/ },
/* 2 */
/***/ function(module, exports) {

	module.exports = __WEBPACK_EXTERNAL_MODULE_2__;

/***/ }
/******/ ])
});
;